GSTR-1A AT
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/at/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/at/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/at/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"at": [
{
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"pos": "05",
"sply_ty": "INTER",
"diff_percent": 0.65,
"itms": [
{
"rt": 5,
"ad_amt": 100,
"iamt": 3.25,
"csamt": 500
}
]
}
]
}
}
}API call for getting advance tax details for a return period.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
at
/
{year}
/
{month}
GSTR-1A AT
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.
Compliance API version.
API key for identification.
Path Parameters
Return year, for example 2025.
Return month, for example 04.
Response
200 - application/json
Success
The response is of type object.
Was this page helpful?
āI